package models

import "mime/multipart"

type RecordCreateParam struct {
	UserName   string          `form:"userName" binding:"required"`
	FileType   string          `form:"fileType" binding:"required"`
	RecordFile *multipart.File `form:"recordFile" binding:"required"`
}

type Record struct {
	Id         string `form:"id"`
	UserName   string `gorm:"user_name"`
	FileType   string `gorm:"file_type"`
	FilePath   string `gorm:"file_path"`
	FileUrl    string `gorm:"file_url"`
	CreateTime string `gorm:"create_time"`
	Result     string `gorm:"result"`
	UpdateTime string `gorm:"update_time"`
}

type RecordListParam struct {
	PageNum  int    `json:"pageNum" binding:"required,gt=0"`
	PageSize int    `json:"pageSize" binding:"required,gt=1"`
	UserName string `json:"userName"`
}
